Bug 1698506 - nagios check_icmp fails when parameter "-s <IP>" used
Summary: nagios check_icmp fails when parameter "-s <IP>" used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 13:56 UTC by Tomas Thiemel
Modified: 2019-09-14 04:05 UTC (History)
8 users (show)

Fixed In Version: nagios-plugins-2.2.1-17.20190829gitfb792ff.el7 nagios-plugins-2.2.1-17.20190829gitfb792ff.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:40:37 UTC


Attachments (Terms of Use)

Description Tomas Thiemel 2019-04-10 13:56:39 UTC
Description of problem:
Current Nagios' binary (2.2.1-15.20180725git3429dad.el6) "check_icmp" fails when parameter "-s <IP>" used (bind to source IP).


# SRC used: nagios-plugins-2.2.1-4git.el7.src.rpm
user@myPC: ~/src $ LANG="C" sudo ./nagios-plugins-2.2.1/plugins-root/check_icmp  -s 127.0.0.1 127.0.0.1
OK - 127.0.0.1: rta 0.020ms, lost 0%|rta=0.020ms;200.000;500.000;0; pl=0%;40;80;; rtmax=0.050ms;;;; rtmin=0.012ms;;;; 

# SRC used: nagios-plugins-2.2.1-15.20180725git3429dad.el6.src.rpm
user@myPC: ~/src $ LANG="C" sudo ./nagios-plugins-3429dad68f97bc692a72623f46b3247e6bc62aba/plugins-root/check_icmp  -s 127.0.0.1 127.0.0.1
check_icmp: Cannot bind to IP address 127.0.0.1: Socket operation on non-socket

user@myPC: ~/src $ LANG="C" sudo ./nagios-plugins-3429dad68f97bc692a72623f46b3247e6bc62aba/plugins-root/check_icmp   127.0.0.1
OK - 127.0.0.1 rta 0.022ms lost 0%|rta=0.022ms;200.000;500.000;0; rtmax=0.056ms;;;; rtmin=0.012ms;;;; pl=0%;40;80;0;100

Comment 1 polski_g 2019-05-09 17:48:51 UTC
Regression confirmed. Using EL6.

./check_icmp -s 10.40.0.1 8.8.8.8 

works fine with nagios-plugins-icmp-2.2.1-4git.el6.x86_64 

but fails with nagios-plugins-icmp-2.2.1-15.20180725git3429dad.el6.xa86_64

Error message is "Socket operation on non-socket"

Comment 2 polski_g 2019-05-17 12:39:42 UTC
More in-depth report submitted to nagios-plugins on github: https://github.com/nagios-plugins/nagios-plugins/issues/451

Comment 3 Fedora Update System 2019-08-29 21:51:15 UTC
FEDORA-EPEL-2019-9b63c08c0f has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9b63c08c0f

Comment 4 Fedora Update System 2019-08-29 22:04:11 UTC
FEDORA-EPEL-2019-22c97df420 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-22c97df420

Comment 5 Fedora Update System 2019-08-30 16:07:42 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-22c97df420

Comment 6 Fedora Update System 2019-08-30 16:07:44 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9b63c08c0f

Comment 7 Fedora Update System 2019-09-14 00:40:37 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-14 04:05:14 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.